package net.wanji.databus.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Date;

/**
 * @ClassName CrossSchemeOptLog
 * @Description 路口方案优化记录表
 * @Author zhouleilei
 * @Date 2024/11/23 14:23
 */
@Data
public class CrossSchemeOptLogPO {
    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "")
    private String crossId;

    @ApiModelProperty(value = "")
    private Integer schemeId;

    @ApiModelProperty(value = "")
    private Integer offset;

    @ApiModelProperty(value = "")
    private String phaseNo;

    @ApiModelProperty(value = "")
    private Integer oriPhaseTime;

    @ApiModelProperty(value = "")
    private Integer optPhaseTime;

    @ApiModelProperty(value = "")
    private Integer optTime;

    @ApiModelProperty(value = "优化结果：1-成功 2-失败")
    private String optResult;

    @ApiModelProperty(value = "")
    private Integer batchTime;

    @ApiModelProperty(value = "")
    private Date insertTime;

}
